Bug 254387 - Porting Firebird 3 to FreeBSD
Summary: Porting Firebird 3 to FreeBSD
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: FreeBSD Office Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-18 18:46 UTC by Gelson Borsoi
Modified: 2021-06-28 01:15 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (office)


Attachments
Makefile distfile and patches (6.90 KB, application/vnd.rar)
2021-03-18 18:46 UTC, Gelson Borsoi
no flags Details
New Makefile and patches (7.63 KB, application/vnd.rar)
2021-03-28 02:02 UTC, Gelson Borsoi
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gelson Borsoi 2021-03-18 18:46:39 UTC
Created attachment 223400 [details]
Makefile distfile and patches

I am trying to port Firebird 3.0.7 to FreeBSD.

I created a Makefile and found some necessary patches.

I have successfully compiled the source code but I have difficulty to finish the Makefile to install it in the correct folders. 

I actually did a completely manual installation to test and it worked in
12.2 and 13 amd64.

Another problem was that I had to copy the content of the “/usr/local/include” folder to “/usr/include” and “/usr/local/lib” to “/usr/lib” because the configure process did not find some files related to devel/icu and math/tommath.

Need to separate server and cliente build and install

Files attached

Gelson
Comment 1 Gelson Borsoi 2021-03-28 02:02:38 UTC
Created attachment 223656 [details]
New Makefile and patches

New Makefile (incomplete) and patches attached.
Now it can be compiled without problems with libraries and dependencies. I compiled on FreeBSD 12.2 i386 and amd64.

The problem continues in the post build, with the installation.

Even without "make install" command, the last phase of the build tries to install but does not find the binaries and other files since everything is in the gen/Release folder.

I believe that the script for FreeBSD within the sources is still referring to version 2.5. It has not been modified for version 3 since it tries to install the file security2.fdb instead of security3.fdb and also the binaries fb_smp_server and fb_inet_server instead of firebird.

Sorry about my english. I´m just trying to contribute.
Comment 2 commit-hook freebsd_committer 2021-06-28 01:14:39 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ca43515803a2c11ec91ed6f32aa3155628e45ae8

commit ca43515803a2c11ec91ed6f32aa3155628e45ae8
Author:     Jose Alonso Cardenas Marquez <acm@FreeBSD.org>
AuthorDate: 2021-06-28 01:11:43 +0000
Commit:     Jose Alonso Cardenas Marquez <acm@FreeBSD.org>
CommitDate: 2021-06-28 01:14:20 +0000

    databases/fireird30-[client|server]: New port: Firebird-3 relational database

    Firebird is a relational database offering many ANSI SQL-99 features
    that runs on Linux, Windows, and a variety of Unix platforms.  Firebird
    offers excellent concurrency, high performance, and powerful language
    support for stored procedures and triggers.  It has been used in
    production systems, under a variety of names since 1981.

    Firebird is completely free of any registration, licensing or deployment
    fees.  It may be deployed freely for use with any third-party software,
    whether commercial or not.

    WWW: https://sourceforge.net/projects/firebird/
    WWW: http://www.firebirdsql.org/
    PR:             254387

 databases/Makefile                                 |   2 +
 databases/firebird30-client/Makefile (new)         |  12 ++
 databases/firebird30-server/Makefile (new)         | 198 +++++++++++++++++++++
 databases/firebird30-server/distinfo (new)         |   3 +
 .../firebird30-server/files/firebird.in (new)      |  61 +++++++
 .../files/patch-builds-posix-prefix.freebsd (new)  |  20 +++
 .../patch-builds-posix-prefix.freebsd_amd64 (new)  |  19 ++
 .../files/patch-builds-posix_Makefile.in (new)     |  34 ++++
 ...builds-posix_Makefile.in.plugins_examples (new) |  12 ++
 ...atch-builds_install_misc_firebird.conf.in (new) |  12 ++
 .../files/patch-builds_posix_empty.vers (new)      |   9 +
 .../files/patch-builds_posix_make.defaults (new)   |  64 +++++++
 .../files/patch-extern_btyacc_Makefile (new)       |  12 ++
 .../files/patch-extern_cloop_Makefile (new)        |  24 +++
 .../files/patch-src-jrd-os-posix_unix.cpp (new)    |  25 +++
 ...patch-src_common_os_posix_SyncSignals.cpp (new) |  13 ++
 .../files/patch-src_remote_SockAddr.h (new)        |  25 +++
 .../files/patch-src_remote_inet.cpp (new)          |  25 +++
 .../firebird30-server/files/pkg-message.in (new)   |  43 +++++
 databases/firebird30-server/pkg-descr (new)        |  12 ++
 .../firebird30-server/pkg-install-server (new)     |  41 +++++
 databases/firebird30-server/pkg-plist (new)        |  43 +++++
 databases/firebird30-server/pkg-plist.client (new) |  42 +++++
 23 files changed, 751 insertions(+)
Comment 3 Jose Alonso Cardenas Marquez freebsd_committer 2021-06-28 01:15:46 UTC
- Committed thanks!